<?php
	
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header.php';
	if($game==0 OR $level==0 OR $ban!=0){
		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';

}else{
	$pl=$_GET['p'];
	$q = mysql_query("SELECT * FROM `planet` WHERE `id`='".check(mysql_real_escape_string($pl))."'");
	$f = mysql_fetch_array($q);
	$s = mysql_query("SELECT * FROM `moon` WHERE `planet`='".$f['id']."'");
	$m = mysql_fetch_array($s);
	if($m['uid']==$use_id AND $m['planet']==$f['id']){
	switch ($act) {
	default:
	echo '<div class="top"><a href="../game/planet.php?act=pl&amp;p='.$f['id'].'">Планета '.$f['name'].'</a> | Луна</div>';
	echo '<div class="conts">';
	echo 'Диаметр луны: '.$m['diameter'].' км [<a href="?act=plus&amp;p='.$f['id'].'">+</a>]<br/>';
	echo '<a href="sector.php?x='.$m['x'].'&amp;y='.$m['y'].'">Расположение</a>: x:'.$m['x'].' y:'.$m['y'].'';
	echo '</div>';
	echo '<div class="conts">';
	if($rasa==1)echo '<img src="../images/metall.gif" alt="" /> Металлы + '.intval($m['diameter']*2.75).'';
	if($rasa==2)echo '<img src="../images/gas.gif" alt="" /> Газ Веспен: '.intval($m['diameter']*2.75).'';
	if($rasa==3)echo '<img src="../images/min.gif" alt="" /> Минералы: '.intval($m['diameter']*2.75).'';
	echo ' в 4 часа</div>';
	break;
	case 'plus':
	echo '<div class="top"><a href="../game/planet.php?act=pl&amp;p='.$f['id'].'">Планета '.$f['name'].'</a> | Луна</div>';
	echo '<div class="cont">Для увеличения диаметра Луны на 1 км нужно 1 ед. обломков на орбите планеты '.$f['name'].'</div>';
	echo '<div class="conts">';
				if(!$_POST)
	{
			echo '<form action="?act=plus&p='.$f['id'].'" method="POST">
			На сколько увеличить диаметр (max. '.$f['obl'].' км):<br />
			<input type="text" value="0" name="mn" /> ';
			echo '<input type="submit" name="submit" value="Увеличить"/></form>';
	}
	else
	{
			$mn = check(trim($_POST['mn']));
			$dmn = $mn;
		$error = false;
			
			if (empty($mn))
			$error = $error . 'Не введено число!<br/>';
			elseif ($mn < 1)
			$error = $error . 'Нельзя увеличить диаметр на менее чем 1 км!<br />';
			elseif (preg_match('/[^\da-zA-Z_]+/',$mn))
			$error = $error . 'Недопустимые символы!<br />';
		elseif ($f['obl']<$dmn)
			$error = $error . 'Не хватает обломков для увеличения диаметра<br />';
		
	 
	  		if (empty($error))
		{

			mysql_query("UPDATE `moon` SET `diameter`=diameter+$mn WHERE `id`='".$m['id']."';");
			mysql_query("UPDATE `planet` SET `obl`=obl-$dmn WHERE `id`='".$f['id']."';");
            header("Location: moon.php?p=".$f['id']."");

		}
		else
		{
		echo ''.$error.'';
		}
	}
	echo '<a href="moon.php?p='.$f['id'].'"><<Назад</a></div>';
	break;
	}}
}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>